Skip to content
GitLab
Explore
Sign in
Register
Primary navigation
Search or go to…
Project
M
MNT Reform Tools
Manage
Activity
Members
Labels
Plan
Issues
Issue boards
Milestones
Wiki
Code
Merge requests
Repository
Branches
Commits
Tags
Repository graph
Compare revisions
Snippets
Build
Pipelines
Jobs
Pipeline schedules
Artifacts
Deploy
Releases
Package Registry
Container Registry
Model registry
Operate
Environments
Terraform modules
Monitor
Incidents
Service Desk
Analyze
Value stream analytics
Contributor analytics
CI/CD analytics
Repository analytics
Model experiments
Help
Help
Support
GitLab documentation
Compare GitLab plans
Community forum
Contribute to GitLab
Provide feedback
Keyboard shortcuts
?
Snippets
Groups
Projects
Show more breadcrumbs
Reform
MNT Reform Tools
Merge requests
!72
reform-tools 1.44
Code
Review changes
Check out branch
Download
Patches
Plain diff
Merged
reform-tools 1.44
staging
into
main
Overview
0
Commits
5
Pipelines
0
Changes
1
Merged
Johannes Schauer Marin Rodrigues
requested to merge
staging
into
main
9 months ago
Overview
0
Commits
5
Pipelines
0
Changes
1
Expand
imx8mp: add missing initramfs drivers; fixes display, pcie and usb in initramfs
sbin/reform-setup-encrypted-nvme: make /boot on eMMC the default for reform-boot-config
sbin/reform-boot-config: allow interactive umount
initramfs-tools/scripts/reform: run 'dmesg -n 7' in the initramfs on ls1028 as workaround for dwc3 unreliability
sbin/reform-setup-encrypted-nvme: if reform-boot-config fails, print steps how to re-run it
Edited
9 months ago
by
Johannes Schauer Marin Rodrigues
0
0
Merge request reports
Viewing commit
9b2716ec
Prev
Next
Show latest version
1 file
+
13
−
5
Inline
Compare changes
Side-by-side
Inline
Show whitespace changes
Show one file at a time
Verified
9b2716ec
sbin/reform-setup-encrypted-nvme: if reform-boot-config fails, print steps how to re-run it
· 9b2716ec
Johannes Schauer Marin Rodrigues
authored
9 months ago
sbin/reform-setup-encrypted-nvme
+
13
−
5
Options
@@ -123,16 +123,24 @@ else
trap
"cleanupvg; cleanupluks; error"
EXIT INT TERM
umount
"
$ROOTMNT
"
emmc_flag
=
if
[
"
$EMMC_USE
"
=
true
]
;
then
printf
"Your /boot partition will be on eMMC by default. Do you want it on the SD-Card instead? [y/N] "
read
-r
response
if
[
"
$response
"
!=
"y"
]
;
then
reform-boot-config
--emmc
/dev/reformvg/root
else
reform-boot-config /dev/reformvg/root
emmc_flag
=
"--emmc"
fi
else
reform-boot-config /dev/reformvg/root
fi
ret
=
0
reform-boot-config
$emmc_flag
/dev/reformvg/root
||
ret
=
$?
if
[
"
$ret
"
-ne
0
]
;
then
echo
"reform-boot-config failed. To re-run it manually, perform the following steps:"
>
&2
echo
"
$
cryptsetup luksOpen
\"
/dev/
$DEV_SSD
\"
reform_crypt"
>
&2
echo
"
$
vgchange -ay reformvg"
>
&2
echo
"
$
reform-boot-config
$emmc_flag
/dev/reformvg/root >&2"
echo
"
$
vgchange -an reformvg"
>
&2
echo
"
$
cryptsetup luksClose reform_crypt"
>
&2
exit
"
$ret
"
fi
fi
Loading